Description

on geonetwork1-p-d4s.d4science.org (alias geonetwork.d4science.org) there are many deleted files with existing file system handles.

At the moment they are quite 5500 files, 25 GB of deleted files still on the disk

They are all files like

-rw-r--r-- 0 gcube gcube 15K Oct  8 14:18 /proc/19315/fd/5683

lr-x------ 1 gcube gcube 64 Oct  8 18:06 /proc/19315/fd/5683 ->

/home/gcube/tomcat/webapps/geonetwork/WEB-INF/lucene/nonspatial/_csf.cfs (deleted)

and many of them. es.

-rw-r--r-- 0 gcube gcube 258M Oct  7 12:00 /proc/19315/fd/5562

lr-x------ 1 gcube gcube 64 Oct  8 12:08 /proc/19315/fd/5562 ->

/home/gcube/tomcat/webapps/geonetwork/WEB-INF/lucene/nonspatial/_coq.cfs (deleted)

are very big

All this is due to some processes runnning in tomcat

Probably we can't free the disk space without restart tomcat but this is a secondary problem, the first is to discover the cause.

History

#1 - Oct 08, 2018 06:29 PM - Fabio Sinibaldi

- Status changed from New to Feedback

I'm not sure whether the problem is due to lucene or geonetwork using it (probably the use of IndexSearcher), but it's definitely a bug of geonetwork

app as a whole since none of other webapps deployed in that instance is known to deal with such files (common-smartgears-probe, whn-manager)

Since it's a third-party app, until we migrate to newer versions of GN -hoping a fix will be provided- our only option is a tomcat restart, I guess. 

#2 - Oct 09, 2018 02:36 PM - Tommaso Piccioli

- Status changed from Feedback to Closed

VM restarted Oct  9 13:25
